restorePublicationAsDraft
POST
/api/v1/content-history/{type}/{id}/publications/{publicationId}/restore-draft
const url = 'https://example.com/api/v1/content-history/playlist/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0/publications/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0/restore-draft';const options = {method: 'POST', headers: {'X-CSRF-Token': 'example'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://example.com/api/v1/content-history/playlist/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0/publications/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0/restore-draft \ --header 'X-CSRF-Token: example'Parameters
Section titled “ Parameters ”Path Parameters
Section titled “Path Parameters”type
required
string
id
required
string format: uuid
publicationId
required
string format: uuid
Header Parameters
Section titled “Header Parameters”X-CSRF-Token
required
string
Responses
Section titled “ Responses ”Historical snapshot copied to the working draft; live state is unchanged
Historical snapshot no longer validates